commit:     fb5bb752aac5691bf24e50854457370d7e80eae0
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 26 09:36:19 2017 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Tue Dec 26 09:36:37 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb5bb752

dev-libs/mpfr: version bump to 4.0.0

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-libs/mpfr/Manifest          |  1 +
 dev-libs/mpfr/mpfr-4.0.0.ebuild | 54 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-libs/mpfr/Manifest b/dev-libs/mpfr/Manifest
index 376ccfbb2bf..e889aa6cb7e 100644
--- a/dev-libs/mpfr/Manifest
+++ b/dev-libs/mpfr/Manifest
@@ -6,3 +6,4 @@ DIST mpfr-3.1.4.tar.xz 1122152 BLAKE2B 
d8d686c3280c062a0941c37cb0a0bacfb25a03a60
 DIST mpfr-3.1.5-patchset.tar.xz 1840 BLAKE2B 
c18392ecc3325c0b889b540257f3bfe3c382a7f0d12a5dc87550e9ee884f87480bcfec7541e05c6c27bcfd7c5fa60d35f575f56ccea59912434b241f51e5d113
 SHA512 
24ae807db036345267623dd977387b154e905197aa826e82cfc8dcf324ade78f78aef9e86ca6e2cbc091e01a8da9ea6c52a91a5183375d5fab45e54912bd3fd8
 DIST mpfr-3.1.5.tar.xz 1126668 BLAKE2B 
f902925036a4310e7b10461438bae5d5770b95ca6bd897038dc306d597ea412013c869b3d2f9c4ba2a1d5e59eee67f562fc3bf5db8fd1584b70c1b30574e42f5
 SHA512 
3643469b9099b31e41d6ec9158196cd1c30894030c8864ee5b1b1e91b488bccbf7c263c951b03fe9f4ae6f9d29279e157a7dfed0885467d875f107a3d964f032
 DIST mpfr-3.1.6.tar.xz 1133672 BLAKE2B 
ab8b87be9d29e9ae5807976f72d65e16cd3e5b4c2ffc4e5bd7829e664250b1969a1ec3928b3519cd75365692e23eadfd413a8116f8c77d6cd66183020b72b656
 SHA512 
746ee74d5026f267f74ab352d850ed30ff627d530aa840c71b24793e44875f8503946bd7399905dea2b2dd5744326254d7889337fe94cfe58d03c4066e9d8054
+DIST mpfr-4.0.0.tar.xz 1406244 BLAKE2B 
2d1e356ac1f7119aa8896c438e7e30c4b316780d76fa2690e50482005e9ff5d6b5cd368d4c9a524df66ea3e7f2942c627329fa15be83402209c6e249cd1abd28
 SHA512 
9c9c4535f33fffd2126d1c290e5eeda7cd2804219244643f09c9a2d2acfa3d410d2cb1e4a7bb77cd86cffc2fac59c7f5d32c9910317cac37dbca474ab6d63808

diff --git a/dev-libs/mpfr/mpfr-4.0.0.ebuild b/dev-libs/mpfr/mpfr-4.0.0.ebuild
new file mode 100644
index 00000000000..f5f8b34e67b
--- /dev/null
+++ b/dev-libs/mpfr/mpfr-4.0.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# NOTE: we cannot depend on autotools here starting with gcc-4.3.x
+inherit eutils libtool multilib-minimal
+
+MY_PV=${PV/_p*}
+MY_P=${PN}-${MY_PV}
+PLEVEL=${PV/*p}
+DESCRIPTION="library for multiple-precision floating-point computations with 
exact rounding"
+HOMEPAGE="http://www.mpfr.org/";
+SRC_URI="http://www.mpfr.org/mpfr-${MY_PV}/${MY_P}.tar.xz";
+
+LICENSE="LGPL-2.1"
+SLOT="0/6" # libmpfr.so version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd 
~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static-libs"
+
+RDEPEND=">=dev-libs/gmp-5.0.0[${MULTILIB_USEDEP},static-libs?]"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       if [[ ${PLEVEL} != ${PV} ]] ; then
+               local i
+               for (( i = 1; i <= PLEVEL; ++i )) ; do
+                       epatch "${FILESDIR}"/${MY_PV}/patch$(printf '%02d' ${i})
+               done
+       fi
+       eapply_user
+       find . -type f -exec touch -r configure {} +
+       elibtoolize
+}
+
+multilib_src_configure() {
+       # Make sure mpfr doesn't go probing toolchains it shouldn't #476336#19
+       ECONF_SOURCE=${S} \
+       user_redefine_cc=yes \
+       econf \
+               --docdir="\$(datarootdir)/doc/${PF}" \
+               $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+       use static-libs || find "${ED}"/usr -name '*.la' -delete
+
+       # clean up html/license install
+       pushd "${ED}"/usr/share/doc/${PF} >/dev/null || die
+       dohtml *.html && rm COPYING* *.html
+       popd >/dev/null || die
+}

Reply via email to